Package org.codehaus.janino

# Class IClass.IMethod

java.lang.Object
org.codehaus.janino.IClass.IInvocable
org.codehaus.janino.IClass.IMethod

All Implemented Interfaces:
  `IClass.IMember`

Enclosing class:
  `IClass`

public abstract class IClass.IMethod extends IClass.IInvocable
Representation of a method in an `IClass`.

## Constructor Summary

Constructors
Constructor
Description
`IMethod()`

## Method Summary

Modifier and Type
Method
Description
`MethodDescriptor`
`getDescriptor2()`
Uncached implementation of `IClass.IInvocable.getDescriptor()`.
`abstract String`
`getName()`
`abstract IClass`
`getReturnType()`
`abstract boolean`
`isAbstract()`
`boolean`
`isLessSpecificThan(IClass.IInvocable that)`
`boolean`
`isMoreSpecificThan(IClass.IInvocable that)`
`abstract boolean`
`isStatic()`
`String`
`toString()`

### Methods inherited from class org.codehaus.janino.IClass.IInvocable

`argsNeedAdjust, getDeclaringIClass, getDescriptor, getParameterTypes, getParameterTypes2, getThrownExceptions, getThrownExceptions2, isVarargs, setArgsNeedAdjust`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface org.codehaus.janino.IClass.IMember

`getAccess, getAnnotations`

## Constructor Details

### IMethod

public IMethod()

## Method Details

### isStatic

public abstract boolean isStatic()

Returns:
  Whether this method is STATIC

### isAbstract

public abstract boolean isAbstract()

Returns:
  Whether this method is ABSTRACT

### getReturnType

public abstract IClass getReturnType() throws CompileException

Returns:
  The return type of this method
Throws:
  `CompileException`

### getName

public abstract String getName()

Returns:
  The name of this method

### getDescriptor2

public MethodDescriptor getDescriptor2() throws CompileException
Description copied from class: `IClass.IInvocable`
Uncached implementation of `IClass.IInvocable.getDescriptor()`.

Specified by:
  `getDescriptor2` in class `IClass.IInvocable`
Throws:
  `CompileException`

### isMoreSpecificThan

public boolean isMoreSpecificThan(IClass.IInvocable that) throws CompileException

Overrides:
  `isMoreSpecificThan` in class `IClass.IInvocable`
Returns:
  Whether this `IClass.IInvocable` is more specific then that (in the sense of JLS7 15.12.2.5)
Throws:
  `CompileException`

### isLessSpecificThan

public boolean isLessSpecificThan(IClass.IInvocable that) throws CompileException

Overrides:
  `isLessSpecificThan` in class `IClass.IInvocable`
Returns:
  Whether this `IClass.IInvocable` is less specific then that (in the sense of JLS7 15.12.2.5)
Throws:
  `CompileException`

### toString

public String toString()

Specified by:
  `toString` in class `IClass.IInvocable`